com.sun.mirror.type

## Class MirroredTypesException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.mirror.type.MirroredTypesException

- All Implemented Interfaces:
    Serializable

      public class MirroredTypesException
      extends RuntimeException

  Thrown when an application attempts to access a sequence of `Class` objects each corresponding to a `TypeMirror`.
  See Also:
    `MirroredTypeException`, `Declaration.getAnnotation(Class)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MirroredTypesException(Collection<TypeMirror> types)` Constructs a new MirroredTypesException for the specified types.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<String>` | `getQualifiedNames()` Returns the fully qualified names of the types being accessed.
    `Collection<TypeMirror>` | `getTypeMirrors()` Returns the type mirrors corresponding to the types being accessed.

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MirroredTypesException

          public MirroredTypesException(Collection<TypeMirror> types)

      Constructs a new MirroredTypesException for the specified types.
      Parameters:
        `types` - an ordered collection of the types being accessed

  - ### Method Detail

    - #### getTypeMirrors

          public Collection<TypeMirror> getTypeMirrors()

      Returns the type mirrors corresponding to the types being accessed. The type mirrors may be unavailable if this exception has been serialized and then read back in.
      Returns:
        the type mirrors in order, or `null` if unavailable

    - #### getQualifiedNames

          public Collection<String> getQualifiedNames()

      Returns the fully qualified names of the types being accessed. More precisely, returns the canonical names of each class, interface, array, or primitive, and `"void"` for the pseudo-type representing the type of `void`.
      Returns:
        the fully qualified names, in order, of the types being accessed

Copyright © 2004, 2014, Oracle and/or its affiliates. All rights reserved.